<script setup lang="ts">
import { ref } from 'vue'
import BillDialog from '../components/BillDialog.vue'
import { useBillStore } from '../stores/bill'
import TableLayout from '@/layouts/TableLayout.vue'
import SearchTableField from '@/components/SearchTableField.vue'
import BillDialogCheck from '../components/BillDialogCheck.vue'

const store = useBillStore()

const searchText = ref()
const tab = ref(null)

function handleSearchText(value: string) {
  searchText.value = value
}
</script>

<template>
  <BillDialog></BillDialog>
  <BillDialogCheck></BillDialogCheck>
  <TableLayout
    title="Bill Records"
    has-action
    :items="store.billList"
    :headers="store.headers"
    :search="searchText"
    :callback-func="store.fetchAll"
    has-filter
    v-model:month="store.filterQuery.month"
    v-model:year="store.filterQuery.year"
    :reload-func="store.fetchFilterBill"
  >
    <template #topCardText>
      <v-row>
        <v-col cols="6">
          <SearchTableField @get-search-text="handleSearchText" />
        </v-col>
        <v-col cols="3">
          <v-btn color="#FFD180" rounded="xl" class="w-100" @click="store.openDialogCheck()"
            >เช็ค</v-btn
          >
        </v-col>
        <v-col cols="3">
          <v-btn
            prepend-icon="mdi-plus"
            color="#FFD180"
            rounded="xl"
            class="w-100"
            @click="store.openDialog()"
            >Add</v-btn
          >
        </v-col>
      </v-row>
    </template>

    <template #actions="{ item }">
      <v-icon size="small" class="me-2" @click="store.openDialog(item)"> mdi-pencil </v-icon>
      <v-icon size="small" @click="store.deleteItem(item.id!)"> mdi-delete </v-icon>
    </template>
  </TableLayout>
</template>
